
Foreman - Feature #6562

Support API v2, remove experimental label

07/10/2014 05:20 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: API   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1579

  

Description

I'd propose that:

Foreman 1.6 has API v2 as a stable, supported API on par with API v1

Foreman 1.6 continues to have API v1 as the default (i.e. when no accept header or versioned URL is used)

1.6 release notes strongly recommend users switch to versioned access (at least) and to begin migration to API v2

Foreman 1.7 makes API v2 the default, v1 becomes deprecated (possibly via a plugin which may not be installed by default, if

we feel that's easier to maintain)

Foreman 1.8 either won't ship v1 or it may be available as a plugin

So this ticket should remove the experimental label from v2 and call it stable in the API docs.

Associated revisions

Revision 7eb6ff00 - 07/16/2014 02:04 AM - Dominic Cleal

fixes #6562 - APIv2 is declared stable as of the next release

History

#1 - 07/10/2014 05:28 AM - Dominic Cleal

https://groups.google.com/forum/#!msg/foreman-dev/uEMN-Bl3o0U/_9T3qpBFN2MJ had a discussion about changing the default in 1.5, which wasn't

resolved/done.  I've mentioned this ticket on -dev here for disucssion: https://groups.google.com/forum/#!topic/foreman-dev/C0zYCMKoh8s

#2 - 07/10/2014 05:44 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1579 added

- Pull request deleted ()

#3 - 07/16/2014 03:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7eb6ff00cfb17837169c6a3d508d0f54ee422b75.
